Bug 1638866 - [RFE] Shorten name of "subscription-manager" zypper plugin to rhsm for readability.
Summary: [RFE] Shorten name of "subscription-manager" zypper plugin to rhsm for readab...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Candlepin
Version: 6.4
Hardware: All
OS: Linux
high
medium vote
Target Milestone: Released
Assignee: Barnaby Court
QA Contact: jcallaha
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-10-12 16:23 UTC by Dylan Gross
Modified: 2019-10-07 17:18 UTC (History)
6 users (show)

Fixed In Version: candlepin-2.5.11-1.el7
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-05-14 12:38:12 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:1222 None None None 2019-05-14 12:38:19 UTC
Github candlepin subscription-manager pull 1935 None None None 2018-11-05 15:05:49 UTC

Description Dylan Gross 2018-10-12 16:23:22 UTC
1. Proposed title of this feature request

   [RFE] Shorten name of "subscription-manager" zypper plugin to rhsm for readability.

3. What is the nature and description of the request?

  Shorten the name of the subscription-manager plugin from "subscription-manager" to something shorter (suggested "rhsm") under the zypper services for easier readability when invoking commands.   

4. Why does the customer need this? (List the business requirements here)

  For readability when listing out repos.

5. How would the customer like to achieve this? (List the functional requirements here)

  The file put down by subscription-manager as the zypper plugin is...
     /usr/lib/zypp/plugins/services/subscription-manager

  Requesting shortening it to:
     /usr/lib/zypp/plugins/services/subscription-manager

6. For each functional requirement listed, specify how Red Hat and the customer can test to confirm the requirement is successfully implemented.

   Output shows shorter name when listing. 

7. Is there already an existing RFE upstream or in Red Hat Bugzilla?

    No.

8. Does the customer have any specific timeline dependencies and which release would they like to target (i.e. RHEL5, RHEL6)?

    No

9. Is the sales team involved in this request and do they have any additional input?

    No

10. List any affected packages or components.

    subscription-manager (for SLES)
 
11. Would the customer be able to assist in testing this functionality if implemented?

    Yes.

Comment 5 jcallaha 2019-03-19 20:57:40 UTC
Verified in subscription-manager 1.21.12-1 / Satellite 6.5.0 Snap 20

sles11:~ # zypper lr            
Refreshing service 'container-suseconnect'.
Refreshing service 'rhsm'.
sles11:~ # 
sles11:~ # ls /usr/lib/zypp/plugins/services/
container-suseconnect  rhsm


sles12:~ # zypper lr
Refreshing service 'container-suseconnect'.
Refreshing service 'rhsm'.
Repository priorities are without effect. All enabled repositories share the same priority.    
sles12:~ # 
sles12:~ # ls /usr/lib/zypp/plugins/services/
container-suseconnect  rhsm

Comment 7 errata-xmlrpc 2019-05-14 12:38:12 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:1222


Note You need to log in before you can comment on or make changes to this bug.